Bug 24870 - Translate installer data label
Summary: Translate installer data label
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-14 23:59 UTC by Bernardo Gonzalez Kriegel
Modified: 2020-04-15 22:01 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.05, 19.05.10, 18.11.16


Attachments
Bug 24870: Translate installer data label (3.00 KB, patch)
2020-03-15 22:13 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24870: Translate installer data label (3.38 KB, patch)
2020-03-15 22:27 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24870: Translate installer data label (3.46 KB, patch)
2020-03-19 14:16 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Bernardo Gonzalez Kriegel 2020-03-14 23:59:54 UTC
At install time the different files are grouped as 'Mandatory' or 'Optional', or other names depending on the language of installation. 
Those labels correspond to the names of the installation directories.

Those labels must be translatable.
Comment 1 Bernardo Gonzalez Kriegel 2020-03-15 22:13:04 UTC
Created attachment 100710 [details] [review]
Bug 24870: Translate installer data label

This patch enable the translation of the
labels 'Mandatory' or 'Optional' present at install time
for groups of installer files.

To test:
1) Try install using de-DE language,
   at step3 verify 'Mandatory' and 'Optional'
   labels
2) Apply this patch
3)
Comment 2 Bernardo Gonzalez Kriegel 2020-03-15 22:27:24 UTC
Created attachment 100711 [details] [review]
Bug 24870: Translate installer data label

This patch enable the translation of the
labels 'Mandatory' or 'Optional' present at install time
for groups of installer files.

To test:
1) Try install using de-DE language,
   at step3 verify 'Mandatory' and 'Optional'
   labels for marc21 or other data checklist
   Do not close this window!
2) Apply this patch
3) Update de-DE translation files, reinstall lang files
   cd misc/translator
   ./translate update de-DE
   ./translate install de-DE
4) Reload page at step3, now 'Mandatory' label
is translated to 'Pflichtfeld'
5) Verify strings in translation file
Search for
^msgid \"Mandatory\"
^msgid \"Optional\"
in po/de-DE-staff-prog.po.
Comment 3 Jonathan Druart 2020-03-19 14:16:43 UTC
Created attachment 101019 [details] [review]
Bug 24870: Translate installer data label

This patch enable the translation of the
labels 'Mandatory' or 'Optional' present at install time
for groups of installer files.

To test:
1) Try install using de-DE language,
   at step3 verify 'Mandatory' and 'Optional'
   labels for marc21 or other data checklist
   Do not close this window!
2) Apply this patch
3) Update de-DE translation files, reinstall lang files
   cd misc/translator
   ./translate update de-DE
   ./translate install de-DE
4) Reload page at step3, now 'Mandatory' label
is translated to 'Pflichtfeld'
5) Verify strings in translation file
Search for
^msgid \"Mandatory\"
^msgid \"Optional\"
in po/de-DE-staff-prog.po.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2020-03-19 14:17:23 UTC
That's a bit dirty but it works :)
Trivial, Passing QA.
Comment 5 Martin Renvoize 2020-03-20 10:25:16 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-04-03 20:54:47 UTC
backported to 19.11.x branch for 19.11.05
Comment 7 Lucas Gass 2020-04-13 17:29:45 UTC
backported to 19.05.x for 19.05.10
Comment 8 Hayley Mapley 2020-04-15 22:01:55 UTC
Backported to 18.11.x for 18.11.16